{% extends "base.html" %}
{% import 'translations.html' as translations with context %}
{% block title %}{{ article.title|striptags }}{% endblock %}
{% block description %}{{ article.summary|striptags }}{% endblock %}
{% block seo %}
	<meta property="og:title" content="{{ article.title|capitalize }}" />
	<meta property="og:type" content="article" />
	<meta property="og:url" content="{{ SITEURL }}/{{ article.url }}" />
	<meta name="twitter:title" content="{{ article.title|capitalize }}" />
	<meta name="twitter:url" content="{{ SITEURL }}/{{ article.url }}" />
	<meta itemprop="url" content="{{ SITEURL }}/{{ article.url }}" />
	{% if article.summary %}
	<meta property="og:description" content="{{ article.summary|striptags|e }}" />
	<meta name="twitter:description" content="{{ article.summary|striptags|e }}" />
	{% endif %}
	{% if article.date %}
	<meta property="og:article:published_time" content="{{ article.date.strftime('%Y-%m-%d') }}" />
	{% endif %}
	{% if article.modified %}
	<meta property="og:article:modified_time" content="{{ article.modified.strftime('%Y-%m-%d') }}">
	<meta itemprop="dateModified" content="{{ article.date.strftime('%Y-%m-%d') }}" />
	{% endif %}
	{% if article.author %}
	<meta property="og:article:author" content="{{ article.author }}" >
	{% endif %}
	{% for tag in article.tags %}
	<meta property="og:article:tag" content="{{ tag }}">
	{% endfor %}
	{% if article.image %}
	<meta property="og:image" content="{{ article.image }}" />
	<meta name="twitter:image" content="{{ article.image }}" />
	<meta itemprop="image" content="{{ article.image }}"/>
	{% elif META_IMAGE %}
	<meta property="og:image" content="{{ META_IMAGE }}" />
	<meta property="og:image:type" content="{{ META_IMAGE_TYPE }}" />
	<meta name="twitter:image" content="{{ META_IMAGE }}" />
	<meta itemprop="image" content="{{ META_IMAGE }}" />
	{% endif %}
{% endblock %}

{% block content %}
<div class="uk-width-medium-7-10 no-margin">
    <article class="uk-article">
		<h1 class="mp-article-title" itemprop="name">
			<a href="/{{article.url}}">{{ article.title }}</a>
		</h1>
		<p class="uk-article-meta"><time datetime="{{ article.date.strftime('%Y-%m-%d') }}" itemprop="datePublished">{{ article.locale_date }}</time> - {{ article.category }} - {{ translations.translations_for(article) }} </p>
        <section itemprop="articleBody">{{ article.content }}</section>
        <hr class="uk-article-divider">
    </article>
</div>
{% endblock %}
